Bug 207418

Summary: net/glib-networking: Remove unused dbus dependency
Product: Ports & Packages Reporter: Chris <cmangin>
Component: Individual Port(s)Assignee: freebsd-desktop (Team) <desktop>
Status: Closed FIXED    
Severity: Affects Only Me CC: graahnul.grom, lwhsu, tcberner, w.schwarzenfeld
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch: remove dependency to devel/dbus
none
poudriere testport log none

Description Chris 2016-02-22 13:51:45 UTC
Created attachment 167299 [details]
Patch: remove dependency to devel/dbus

net/glib-networking does not depend on the devel/dbus port. It merely exposes a service to dbus and has no dependency to it.

The dependency had already been removed in r353764 but seems to have been mistakenly re-added in r372768.

Patch attached
Comment 1 Chris 2016-02-22 13:52:13 UTC
Created attachment 167300 [details]
poudriere testport log
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-09 14:55:39 UTC
Maintainer feedback?
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-07 23:18:44 UTC
ping!
Comment 4 dmn 2019-09-14 21:02:34 UTC
Please commit this.
Comment 5 Tobias C. Berner freebsd_committer 2021-02-12 20:01:08 UTC
Committed, Thanks.
Comment 6 commit-hook freebsd_committer 2021-02-12 20:01:18 UTC
A commit references this bug:

Author: tcberner
Date: Fri Feb 12 20:00:56 UTC 2021
New revision: 565059
URL: https://svnweb.freebsd.org/changeset/ports/565059

Log:
  net/glib-networking: drop unnecessary depenendy on devel/dbus

  - while the libproxy parts may make use of dbus, there is no direct depedency on dbus.

  PR:		207418
  Submitted by:	Chris <cmangin@arobas.net>

Changes:
  head/net/glib-networking/Makefile